Subject: Re: [PATCH] Misc doc improvements

From: Jakub Narebski <[email-masked]>
Date: Wed, 07 Jun 2006 20:46:03 +0200

Jonas Fonseca wrote:

> +grafts::
> +     Grafts enables two otherwise different lines of development to be
> +     joined together by recording fake ancestry information for commits.
> +     This way you can make git pretend the set of parents a commit
> +     has is different from what was recorded when the commit was created.
> +     Configured via the `.git/info/grafts` file.

Actually, grafts are used to "fake" (or change) parents (ancestry) of an
existing commit. It can be used both to add parents (e.g. joining roots of
"current" repository with historical one), or remove parents (e.g. to
shorten (cauterize) history like in the "shalllow clone" idea).

-- 
Jakub Narebski
Warsaw, Poland